package com.ruoyi.oa.service;


import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.oa.domain.bo.SysOaClaimDetailBo;
import com.ruoyi.oa.domain.vo.SysOaClaimDetailVo;

import java.util.Collection;
import java.util.List;

/**
 * 报销明细Service接口
 *
 * @author hdka
 * @date 2025-02-21
 */
public interface ISysOaClaimDetailService {

    /**
     * 查询报销明细
     */
    SysOaClaimDetailVo queryById(Long claimDetailId);

    /**
     * 查询报销明细列表
     */
    TableDataInfo<SysOaClaimDetailVo> queryPageList(SysOaClaimDetailBo bo, PageQuery pageQuery);

    /**
     * 查询报销明细列表
     */
    List<SysOaClaimDetailVo> queryList(SysOaClaimDetailBo bo);

    /**
     * 新增报销明细
     */
    Boolean insertByBo(SysOaClaimDetailBo bo);

    /**
     * 修改报销明细
     */
    Boolean updateByBo(SysOaClaimDetailBo bo);

    /**
     * 校验并批量删除报销明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
